Data APIs
Maps Search
POST
/
data
/
maps
/
search
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/maps/search",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={"search": "Blue Bottle Coffee in San Francisco"},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/maps/search", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"search": "Blue Bottle Coffee in San Francisco"
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/maps/search \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"search": "Blue Bottle Coffee in San Francisco"
}'{
"results": [
{
"google_maps_url": "<string>",
"place_id": "",
"name": "<string>",
"rating": 2.5,
"number_of_reviews": 0,
"website": "<string>",
"about": "<string>",
"cid": "<string>",
"google_category": [
"<string>"
],
"google_description": "<string>",
"google_hours": [
{
"day": "<string>",
"times": [
"<string>"
]
}
],
"google_image": "<string>",
"google_phone": "<string>",
"google_price_range_dollar_sign": "<string>",
"google_reviews_url": "",
"claimed": false,
"latitude": 0,
"longitude": 0,
"google_orders_urls": [
{
"link": "<string>",
"platform_name": "<string>"
}
],
"order_online_url": "<string>",
"borough": "<string>",
"street_addr": "<string>",
"street_addr_supplement": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>",
"address": "<string>",
"primary_tags": [
"<string>"
],
"open_status": "PERMANENTLY_CLOSED"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
python
import os
import requests
response = requests.post(
"https://api.notte.cc/data/maps/search",
headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
json={"search": "Blue Bottle Coffee in San Francisco"},
timeout=330,
)
response.raise_for_status()
print(response.json())const response = await fetch("https://api.notte.cc/data/maps/search", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"search": "Blue Bottle Coffee in San Francisco"
}),
signal: AbortSignal.timeout(330_000),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());curl --fail-with-body --max-time 330 --request POST https://api.notte.cc/data/maps/search \
--header "Authorization: Bearer $NOTTE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"search": "Blue Bottle Coffee in San Francisco"
}'{
"results": [
{
"google_maps_url": "<string>",
"place_id": "",
"name": "<string>",
"rating": 2.5,
"number_of_reviews": 0,
"website": "<string>",
"about": "<string>",
"cid": "<string>",
"google_category": [
"<string>"
],
"google_description": "<string>",
"google_hours": [
{
"day": "<string>",
"times": [
"<string>"
]
}
],
"google_image": "<string>",
"google_phone": "<string>",
"google_price_range_dollar_sign": "<string>",
"google_reviews_url": "",
"claimed": false,
"latitude": 0,
"longitude": 0,
"google_orders_urls": [
{
"link": "<string>",
"platform_name": "<string>"
}
],
"order_online_url": "<string>",
"borough": "<string>",
"street_addr": "<string>",
"street_addr_supplement": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>",
"address": "<string>",
"primary_tags": [
"<string>"
],
"open_status": "PERMANENTLY_CLOSED"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}